From e35838c1e07d3e5a68fd20d498486694a98b799a Mon Sep 17 00:00:00 2001
From: Kyle Swanson <kswanson@netflix.com>
Date: Tue, 10 Oct 2023 12:55:53 -0700
Subject: [PATCH] avfilter/libvmaf: update pix_fmts

---
 libavfilter/vf_libvmaf.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libavfilter/vf_libvmaf.c b/libavfilter/vf_libvmaf.c
index 18196c6734..2b1fc8bb23 100644
--- a/libavfilter/vf_libvmaf.c
+++ b/libavfilter/vf_libvmaf.c
@@ -463,6 +463,8 @@ static av_cold int init(AVFilterContext *ctx)
 static const enum AVPixelFormat pix_fmts[] = {
     AV_PIX_FMT_YUV444P, AV_PIX_FMT_YUV422P, AV_PIX_FMT_YUV420P,
     AV_PIX_FMT_YUV444P10LE, AV_PIX_FMT_YUV422P10LE, AV_PIX_FMT_YUV420P10LE,
+    AV_PIX_FMT_YUV444P12LE, AV_PIX_FMT_YUV422P12LE, AV_PIX_FMT_YUV420P12LE,
+    AV_PIX_FMT_YUV444P16LE, AV_PIX_FMT_YUV422P16LE, AV_PIX_FMT_YUV420P16LE,
     AV_PIX_FMT_NONE
 };
 
-- 
2.24.3 (Apple Git-128)

